Incident Blockers
Incidents allow apps to report issues directly.
Log incident
POST /v1/log/incident
Saves an incident.
Request Body
Return Type
Types for the Request Body
CreateIncident (root level)
| Key | Description | Types | Restrictions |
|---|---|---|---|
message | The message to be recorded. | string | requirednot nullmin length is 1 |
details | Additional data to be stored against the incident occurrence. | object | not null |
task_reference | The ID of the related task. | string | not nullmatch is /^[0-9a-z-]{36}$/ |
incident_bindings | Bindings for the incident to be created. | CreateIncidentBinding | not null |
incident_type_code | Optional incident type code. | string | match is /^[0-9a-zA-Z_-]{1,200}$/ |
CreateIncidentBinding
| Key | Description | Types | Restrictions |
|---|---|---|---|
user | User ID. | number | not null |
company | Company ID. | number | not null |
organisation | Organisation ID. | number | not null |
order_goodsout | Order goodsout ID. | number | not null |
order_channel | Order channel ID. | number | not null |
product_channel | Product channel ID. | number | not null |
product_variation | Product variation ID. | number | not null |
product_component | Product component ID. | number | not null |
listing | Listing ID. | number | not null |
vendor_order | Vendor order ID. | number | not null |
purchase_order | Purchase order ID. | number | not null |
Rate limit cost
Each call to this endpoint deducts 1 credit from your request bucket.
Scopes
This endpoint is only available for users with scope APP::MISC.
<?php
// Instantiate a GuzzleHttp client
$client = new \GuzzleHttp\Client();
// Make the request
$response = $client->request("POST", "https://public-api.bladepro.io/v1/log/incident", [
"body" => json_encode([
"message" => "This is a message worth saving to our incident.",
"details" => [
"x" => 0,
"y" => 0,
"z" => 4,
],
"incident_bindings" => [
"user" => 46,
"vendor_order" => 1546,
],
]),
"headers" => [
"Content-Type" => "application/json",
"Access-Token" => "my-token-from-login",
],
]);
// Process the response
$responseBody = json_decode($response->getBody(), true);require 'rest-client'
require 'json'
# Make the request
response = RestClient.post 'https://public-api.bladepro.io/v1/log/incident', {
message: "This is a message worth saving to our incident.",
details: {
x: 0,
y: 0,
z: 4,
},
incident_bindings: {
user: 46,
vendor_order: 1546,
},
}, {
access_token: 'my-token-from-login',
content_type: :json,
accept: :json
}
# Process the response
puts response.body// Require the node HTTP module
var request = require("request");
// Make the request
request({
method: "POST",
json: true,
uri: "https://public-api.bladepro.io/v1/log/incident",
body: {
"message": "This is a message worth saving to our incident.",
"details": {
"x": 0,
"y": 0,
"z": 4
},
"incident_bindings": {
"user": 46,
"vendor_order": 1546
}
},
headers: {
"Access-Token": "my-token-from-login",
"Content-Type": "application/json",
},
(error, response, body) => {
// Process the response
console.log(body);
},
});# Make the request
curl --location --request POST 'https://public-api.bladepro.io/v1/log/incident' \
--header 'Content-Type: application/json' \
--header 'Access-Token: my-token-from-login' \
--data-raw '{
"message": "This is a message worth saving to our incident.",
"details": {
"x": 0,
"y": 0,
"z": 4
},
"incident_bindings": {
"user": 46,
"vendor_order": 1546
}
}'Example result:
{
"meta": {
"request_reference": "235chjz9h-c893v86"
},
"data": {
"incident_id": 123
}
}Log incident import missing sku
POST /v1/log/incident/order_import/missing_sku
Saves an incident related to order import missing SKU.
Request Body
CreateIncidentImportMissingSku
Return Type
Types for the Request Body
CreateIncidentImportMissingSku (root level)
| Key | Description | Types | Restrictions |
|---|---|---|---|
product_sku | The product SKU to be stored against the incident occurrence. | string | requirednot nullmin length is 1 |
product_name | The product name to be stored against the incident occurrence. | string | not null |
order_reference | The product order reference. | string | requirednot nullmin length is 1max length is 120 |
order_channel_id | Order channel id | integer | requirednot nullmin is 1 |
details | Additional data to be stored against the incident occurrence. | object |
Rate limit cost
Each call to this endpoint deducts 1 credit from your request bucket.
Scopes
This endpoint is only available for users with scope APP::MISC.
<?php
// Instantiate a GuzzleHttp client
$client = new \GuzzleHttp\Client();
// Make the request
$response = $client->request("POST", "https://public-api.bladepro.io/v1/log/incident/order_import/missing_sku", [
"body" => json_encode([
"product_sku" => "ABC12335",
"product_name" => "ABC Backpack.",
"order_reference" => "#1234-123442",
"order_channel_id" => 137,
"details" => [
"x" => 0,
"y" => 0,
"z" => 4,
],
]),
"headers" => [
"Content-Type" => "application/json",
"Access-Token" => "my-token-from-login",
],
]);
// Process the response
$responseBody = json_decode($response->getBody(), true);require 'rest-client'
require 'json'
# Make the request
response = RestClient.post 'https://public-api.bladepro.io/v1/log/incident/order_import/missing_sku', {
product_sku: "ABC12335",
product_name: "ABC Backpack.",
order_reference: "#1234-123442",
order_channel_id: 137,
details: {
x: 0,
y: 0,
z: 4,
},
}, {
access_token: 'my-token-from-login',
content_type: :json,
accept: :json
}
# Process the response
puts response.body// Require the node HTTP module
var request = require("request");
// Make the request
request({
method: "POST",
json: true,
uri: "https://public-api.bladepro.io/v1/log/incident/order_import/missing_sku",
body: {
"product_sku": "ABC12335",
"product_name": "ABC Backpack.",
"order_reference": "#1234-123442",
"order_channel_id": 137,
"details": {
"x": 0,
"y": 0,
"z": 4
}
},
headers: {
"Access-Token": "my-token-from-login",
"Content-Type": "application/json",
},
(error, response, body) => {
// Process the response
console.log(body);
},
});# Make the request
curl --location --request POST 'https://public-api.bladepro.io/v1/log/incident/order_import/missing_sku' \
--header 'Content-Type: application/json' \
--header 'Access-Token: my-token-from-login' \
--data-raw '{
"product_sku": "ABC12335",
"product_name": "ABC Backpack.",
"order_reference": "#1234-123442",
"order_channel_id": 137,
"details": {
"x": 0,
"y": 0,
"z": 4
}
}'Example result:
{
"meta": {
"request_reference": "235chjz9h-c893v86"
},
"data": {
"incident_id": 123
}
}Log incident import missing tax rate
POST /v1/log/incident/order_import/missing_tax_rate
Saves an incident related to order import missing tax rate.
Request Body
CreateIncidentImportMissingTaxRate
Return Type
Types for the Request Body
CreateIncidentImportMissingTaxRate (root level)
| Key | Description | Types | Restrictions |
|---|---|---|---|
tax_rate | The tax rate. | number | requirednot nullmin is 0.01 |
order_reference | The product order reference. | string | requirednot nullmin length is 1max length is 120 |
order_channel_id | Order channel id | integer | requirednot nullmin is 1 |
details | Additional data to be stored against the incident occurrence. | object |
Rate limit cost
Each call to this endpoint deducts 1 credit from your request bucket.
Scopes
This endpoint is only available for users with scope APP::MISC.
<?php
// Instantiate a GuzzleHttp client
$client = new \GuzzleHttp\Client();
// Make the request
$response = $client->request("POST", "https://public-api.bladepro.io/v1/log/incident/order_import/missing_tax_rate", [
"body" => json_encode([
"tax_rate" => "12.2",
"order_reference" => "#1234-123442",
"order_channel_id" => 124,
"details" => [
"x" => 0,
"y" => 0,
"z" => 4,
],
]),
"headers" => [
"Content-Type" => "application/json",
"Access-Token" => "my-token-from-login",
],
]);
// Process the response
$responseBody = json_decode($response->getBody(), true);require 'rest-client'
require 'json'
# Make the request
response = RestClient.post 'https://public-api.bladepro.io/v1/log/incident/order_import/missing_tax_rate', {
tax_rate: "12.2",
order_reference: "#1234-123442",
order_channel_id: 124,
details: {
x: 0,
y: 0,
z: 4,
},
}, {
access_token: 'my-token-from-login',
content_type: :json,
accept: :json
}
# Process the response
puts response.body// Require the node HTTP module
var request = require("request");
// Make the request
request({
method: "POST",
json: true,
uri: "https://public-api.bladepro.io/v1/log/incident/order_import/missing_tax_rate",
body: {
"tax_rate": "12.2",
"order_reference": "#1234-123442",
"order_channel_id": 124,
"details": {
"x": 0,
"y": 0,
"z": 4
}
},
headers: {
"Access-Token": "my-token-from-login",
"Content-Type": "application/json",
},
(error, response, body) => {
// Process the response
console.log(body);
},
});# Make the request
curl --location --request POST 'https://public-api.bladepro.io/v1/log/incident/order_import/missing_tax_rate' \
--header 'Content-Type: application/json' \
--header 'Access-Token: my-token-from-login' \
--data-raw '{
"tax_rate": "12.2",
"order_reference": "#1234-123442",
"order_channel_id": 124,
"details": {
"x": 0,
"y": 0,
"z": 4
}
}'Example result:
{
"meta": {
"request_reference": "235chjz9h-c893v86"
},
"data": {
"incident_id": 123
}
}Log incident import failure
POST /v1/log/incident/order_import/failure
Saves an incident related to order import failure.
Request Body
Return Type
Types for the Request Body
CreateIncidentImportFailure (root level)
| Key | Description | Types | Restrictions |
|---|---|---|---|
failure_message | Failure message. | string | requirednot nullmin length is 1 |
order_reference | The product order reference. | string | requirednot nullmin length is 1max length is 120 |
order_channel_id | Order channel id | integer | requirednot nullmin is 1 |
details | Additional data to be stored against the incident occurrence. | object |
Rate limit cost
Each call to this endpoint deducts 1 credit from your request bucket.
Scopes
This endpoint is only available for users with scope APP::MISC.
<?php
// Instantiate a GuzzleHttp client
$client = new \GuzzleHttp\Client();
// Make the request
$response = $client->request("POST", "https://public-api.bladepro.io/v1/log/incident/order_import/failure", [
"body" => json_encode([
"failure_message" => "No response from the shop url",
"order_reference" => "#1234-123442",
"order_channel_id" => 172,
"details" => [
"x" => 0,
"y" => 0,
"z" => 4,
],
]),
"headers" => [
"Content-Type" => "application/json",
"Access-Token" => "my-token-from-login",
],
]);
// Process the response
$responseBody = json_decode($response->getBody(), true);require 'rest-client'
require 'json'
# Make the request
response = RestClient.post 'https://public-api.bladepro.io/v1/log/incident/order_import/failure', {
failure_message: "No response from the shop url",
order_reference: "#1234-123442",
order_channel_id: 172,
details: {
x: 0,
y: 0,
z: 4,
},
}, {
access_token: 'my-token-from-login',
content_type: :json,
accept: :json
}
# Process the response
puts response.body// Require the node HTTP module
var request = require("request");
// Make the request
request({
method: "POST",
json: true,
uri: "https://public-api.bladepro.io/v1/log/incident/order_import/failure",
body: {
"failure_message": "No response from the shop url",
"order_reference": "#1234-123442",
"order_channel_id": 172,
"details": {
"x": 0,
"y": 0,
"z": 4
}
},
headers: {
"Access-Token": "my-token-from-login",
"Content-Type": "application/json",
},
(error, response, body) => {
// Process the response
console.log(body);
},
});# Make the request
curl --location --request POST 'https://public-api.bladepro.io/v1/log/incident/order_import/failure' \
--header 'Content-Type: application/json' \
--header 'Access-Token: my-token-from-login' \
--data-raw '{
"failure_message": "No response from the shop url",
"order_reference": "#1234-123442",
"order_channel_id": 172,
"details": {
"x": 0,
"y": 0,
"z": 4
}
}'Example result:
{
"meta": {
"request_reference": "235chjz9h-c893v86"
},
"data": {
"incident_id": 123
}
}Log incident with purchase order import failure
POST /v1/log/incident/purchase_order_import/failure
Saves an incident related to purchase order import failure.
Request Body
Return Type
Types for the Request Body
CreateIncidentImportFailure (root level)
| Key | Description | Types | Restrictions |
|---|---|---|---|
failure_message | Failure message. | string | requirednot nullmin length is 1 |
order_reference | The product order reference. | string | requirednot nullmin length is 1max length is 120 |
order_channel_id | Order channel id | integer | requirednot nullmin is 1 |
details | Additional data to be stored against the incident occurrence. | object |
Rate limit cost
Each call to this endpoint deducts 1 credit from your request bucket.
Scopes
This endpoint is only available for users with scope APP::MISC.
<?php
// Instantiate a GuzzleHttp client
$client = new \GuzzleHttp\Client();
// Make the request
$response = $client->request("POST", "https://public-api.bladepro.io/v1/log/incident/purchase_order_import/failure", [
"body" => json_encode([
"failure_message" => "No response from the shop url",
"order_reference" => "#1234-123442",
"order_channel_id" => 152,
"details" => [
"x" => 0,
"y" => 0,
"z" => 4,
],
]),
"headers" => [
"Content-Type" => "application/json",
"Access-Token" => "my-token-from-login",
],
]);
// Process the response
$responseBody = json_decode($response->getBody(), true);require 'rest-client'
require 'json'
# Make the request
response = RestClient.post 'https://public-api.bladepro.io/v1/log/incident/purchase_order_import/failure', {
failure_message: "No response from the shop url",
order_reference: "#1234-123442",
order_channel_id: 152,
details: {
x: 0,
y: 0,
z: 4,
},
}, {
access_token: 'my-token-from-login',
content_type: :json,
accept: :json
}
# Process the response
puts response.body// Require the node HTTP module
var request = require("request");
// Make the request
request({
method: "POST",
json: true,
uri: "https://public-api.bladepro.io/v1/log/incident/purchase_order_import/failure",
body: {
"failure_message": "No response from the shop url",
"order_reference": "#1234-123442",
"order_channel_id": 152,
"details": {
"x": 0,
"y": 0,
"z": 4
}
},
headers: {
"Access-Token": "my-token-from-login",
"Content-Type": "application/json",
},
(error, response, body) => {
// Process the response
console.log(body);
},
});# Make the request
curl --location --request POST 'https://public-api.bladepro.io/v1/log/incident/purchase_order_import/failure' \
--header 'Content-Type: application/json' \
--header 'Access-Token: my-token-from-login' \
--data-raw '{
"failure_message": "No response from the shop url",
"order_reference": "#1234-123442",
"order_channel_id": 152,
"details": {
"x": 0,
"y": 0,
"z": 4
}
}'Example result:
{
"meta": {
"request_reference": "235chjz9h-c893v86"
},
"data": {
"incident_id": 123
}
}